part of cresce_ui;

class CInputText extends StatelessWidget {
  final TextEditingController? field;
  final bool enabled;
  final bool isPassword;
  final String label;
  final IconData? icon;

  const CInputText({
    Key? key,
    this.field,
    this.enabled = true,
    this.isPassword = false,
    required this.label,
    this.icon,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      enabled: enabled,
      controller: field,
      obscureText: isPassword,
      keyboardType: TextInputType.text,
      style: CTextStyles.fieldSecondaryVar1,
      decoration: InputDecoration(
        labelStyle: CTextStyles.labelPrimary,
        labelText: label,
        isDense: true,
        contentPadding: const EdgeInsets.only(bottom: 5.0, left: 8.0),
        enabledBorder: UnderlineInputBorder(
          borderSide: BorderSide(
            color: CColors.primaryVar1,
            width: 1.5,
          ),
        ),
      ),
    );
  }
}
